Summary: Text based document generation
Summary(ja): テキストベースのドキュメント生成
Name: asciidoc
Version: 8.6.9
Release: 1%{?_dist_release}
License: GPLv2+
Group: Applications/Text
URL: http://asciidoc.org/

Source0: http://downloads.sourceforge.net/project/asciidoc/asciidoc/%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python
Requires: python
Requires: docbook-style-xsl
Requires: libxslt

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, kenta

%description
AsciiDoc is a text document format for writing short documents,
articles, books and UNIX man pages. AsciiDoc files can be translated
to HTML and DocBook markups using the asciidoc(1) command.

%prep
%setup -q

%build
%configure

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Python API
install -Dpm 644 asciidocapi.py %{buildroot}%{python_sitelib}/asciidocapi.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%config(noreplace) %{_sysconfdir}/asciidoc
%{_bindir}/*
%{_mandir}/man1/*
%{python_sitelib}/asciidocapi.py*
%doc BUGS CHANGELOG COPYING COPYRIGHT README

%changelog
* Tue Jan  6 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 8.6.9-1
- new upstream version
- moved to Applications/Text Group

* Sun Feb 26 2012 Munehiro Yamamoto <munepi@vinelinux.org> 8.6.6-1
- new upstream version

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 8.6.4-2
- rebuild with python-2.7.2

* Tue Apr 26 2011 NAKAMURA Kenta <kenta@vinelinux.org> 8.6.4-1
- new upstream version 8.6.4

* Wed Aug 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 8.2.5-1
- initial build for Vine Linux

* Wed Dec 05 2007 Florian La Roche <laroche@redhat.com> - 8.2.5-2
- remove doc/examples from filelist due to dangling symlinks

* Tue Nov 20 2007 Florian La Roche <laroche@redhat.com> - 8.2.5-1
- new upstream version 8.2.5

* Mon Oct 22 2007 Florian La Roche <laroche@redhat.com> - 8.2.3-1
- new upstream version 8.2.3

* Sat Sep 01 2007 Florian La Roche <laroche@redhat.com> - 8.2.2-1
- new upstream version 8.2.2

* Mon Mar 19 2007 Chris Wright <chrisw@redhat.com> - 8.1.0-1
- update to asciidoc 8.1.0

* Thu Sep 14 2006 Chris Wright <chrisw@redhat.com> - 7.0.2-3
- rebuild for Fedora Extras 6

* Tue Feb 28 2006 Chris Wright <chrisw@redhat.com> - 7.0.2-2
- rebuild for Fedora Extras 5

* Mon Aug 29 2005 Chris Wright <chrisw@osdl.org> - 7.0.2-1
- convert spec file to UTF-8
- Source should be URL
- update to 7.0.2

* Fri Aug 19 2005 Chris Wright <chrisw@osdl.org> - 7.0.1-3
- consistent use of RPM_BUILD_ROOT

* Thu Aug 18 2005 Chris Wright <chrisw@osdl.org> - 7.0.1-2
- Update BuildRoot
- use _datadir
- use config and _sysconfdir

* Wed Jun 29 2005 Terje RÃ¸sten <terje.rosten@ntnu.no> - 7.0.1-1
- 7.0.1
- Drop patch now upstream
- Build as noarch (Petr KlÃ­ma)

* Sat Jun 11 2005 Terje RÃ¸sten <terje.rosten@ntnu.no> - 7.0.0-0.3
- Add include patch 

* Fri Jun 10 2005 Terje RÃ¸sten <terje.rosten@ntnu.no> - 7.0.0-0.2
- Fix stylesheets according to Stuart

* Fri Jun 10 2005 Terje RÃ¸sten <terje.rosten@ntnu.no> - 7.0.0-0.1
- Initial package
- Based on Debian package, thx!


