Summary: Modify rpath of compiled programs
Name: chrpath
Version: 0.16
Release: 1%{?_dist_release}
License: GPL+
Group: Development/Tools
URL: https://alioth.debian.org/projects/chrpath/
Source0: https://alioth.debian.org/frs/download.php/latestfile/813/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
chrpath allows you to modify the dynamic library load path (rpath) of
compiled programs.  Currently, only removing and modifying the rpath
is supported.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -fr %{buildroot}/usr/doc

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS ChangeLog*
%{_bindir}/chrpath
%{_mandir}/man1/chrpath.1*

%changelog
* Sat May 14 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16-1
- update to 0.16
- remove Patch0

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13-2
- rebuild with VineSeed environment

* Sat Sep 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.13-1
- initial build for Vine Linux

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.13-5
- Fix last entry in .dynamic (by Christian Krause <chkr@plauener.de>).

* Sat Sep  8 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.13-2
- License: GPL+

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.13-1
- Initial build.

