%define ver 1.4.2
%define rel 1

Summary: a multi-platform support library with a focus on asynchronous I/O
Name: libuv
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: Node's license and so on (See LICENSE file)
Group: System Environment/Libraries
URL: https://github.com/libuv/libuv
Source0: http://libuv.org/dist/v%{version}/%{name}-v%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
libuv is a multi-platform support library with a focus on asynchronous I/O.
It was primarily developed for use by Node.js, but it's also used by Luvit,
Julia, pyuv, and others.

%package devel
Summary: Development libraries and headers for libuv
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries and headers for libuv.

%prep
%setup -q -n %{name}-v%{version}
./autogen.sh
%configure

%build
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%__rm -f %{buildroot}%{_libdir}/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%check
make check

%files
%defattr(-,root,root,-)
%doc LICENSE AUTHORS CONTRIBUTING.md ChangeLog README.md
%{_libdir}/%{name}*.so.*

%files devel
%defattr(-,root,root,-)
%doc LICENSE AUTHORS CONTRIBUTING.md ChangeLog README.md
%doc img docs samples
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h

%changelog
* Mon Mar 23 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 1.4.2-1
- Initial build.
