%define	perl_vendorlib	%(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
Summary: SQL-Statement module for perl
Name: perl-SQL-Statement
Version: 1.405
Release: 1%{?_dist_release}
License: Artistic or GPL
Group: Development/Libraries
URL: http://search.cpan.org/~jzucker/SQL-Statement/

Source0: http://www.cpan.org/authors/id/J/JZ/JZUCKER/SQL-Statement-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Clone) >= 0.30
BuildRequires:  perl(Params::Util) >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(DBI) >= 1.612

%description
SQL-Statement module for perl

%prep
%setup -q -n SQL-Statement-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS="vendor"

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT pure_install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}.files
%defattr(-,root,root)
%doc README Changes
%dir %{perl_vendorlib}/SQL
%dir %{perl_vendorlib}/SQL/Dialects
%dir %{perl_vendorlib}/SQL/Statement
%{_mandir}/*/*

%changelog
* Fri Dec  5 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.405-1
- updated to 1.405

* Fri Jun 27 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 1.33-3
- build with Perl 5.16

* Fri Mar 02 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.33-2
- rebuild

* Fri Mar 02 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.33-1
- updated to 1.33

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.15-2
- rebuild with perl-5.12.3

* Mon May 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.15-1
- applied new versioning policy

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.15-0vl1
- updated to 1.15
- changed Group to Development/Libraries
- s/Copyright/License/

* Wed Sep  7 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14-0vl1
- updated to 1.14, build for perl 5.8.x
- updated URL
- use vendor_perl 

* Sat Apr 13 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.004-0vl1
- first build for Vine Linux
