%{!?python3_sitelib: %define python3_sitelib %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")}


%define ver 2.5.1
%define rel 2

Summary: Python HTTP for Humans
Name: python3-requests
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: ASLv2
Group: Development/Languages
URL: https://pypi.python.org/pypi/requests
Source0: https://pypi.python.org/packages/source/r/requests/requests-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python3
BuildRequires: python3-devel
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.

%prep
%setup -q -n requests-%{ver}

%build
python3 setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python3 setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.rst HISTORY.rst LICENSE NOTICE
%{python3_sitelib}/requests
%{python3_sitelib}/requests-%{version}-py*.egg-info

%changelog
* Tue Jun 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.5.1-2
- rebuild with python3-3.5.2

* Sun Mar 22 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 2.5.1-1
- Initial build.
