Name: 		orage
Version: 	4.12.1
Release: 	1%{?_dist_release}
Summary: 	Time-managing application for Xfce desktop environment
Summary(ja): 	Xfce デスクトップ環境向け時間管理アプリケーション

Group: 		Applications/Accessories
License:	GPLv2
URL: 		http://www.xfce.org/projects/orage

Source0: 	http://archive.xfce.org/src/apps/%{name}/4.12/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	dbus-glib-devel >= 0.34
BuildRequires:	gettext
BuildRequires:	gtk2-devel >= 2.10.0
BuildRequires:	intltool >= 0.31
BuildRequires:	libical-devel
BuildRequires:	libnotify-devel >= 0.3.2
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	xfce4-panel-devel >= 4.8.0
Obsoletes:      xfcalendar

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Time-managing application for Xfce desktop environment.

%prep
%setup -q

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*.cache

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor

%posttrans 
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS NEWS
%{_bindir}/orage
%{_bindir}/tz_convert
%{_bindir}/globaltime
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/orage/
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_mandir}/man1/*

%changelog
* Wed Apr 15 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.12.1-1
- new upstrem release

* Sun Mar  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.10.0-2
- rebuilt with libxfce4util 4.12.1 and libical 1.0.1

* Sat Sep  6 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.10.0-1
- updated to 4.10.0
- added Japanese summary

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.8.3-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.8.3-1
- new upstream release

* Sun Aug 21 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.8.1-2
- rebuilt with libnotify-0.7.3

* Sat Apr  2 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.8.1-1
- new upstream release

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 4.4.2-1vl5
- applied new versioning policy

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
- initial release
