%define	pkgname	Class-Data-Inheritable

# Basic Information
Name:		perl-%{pkgname}
Version:	0.08
Release:	2%{?_dist_release}
Summary:	Inheritable, overridable class data
Summary(ja):	クラスデータを継承可能、オーバーライド可能にする

License:	Artistic or GPL
Group:		Development/Libraries
URL:            http://search.cpan.org/~tmtm/Class-Data-Inheritable/

Source0:	http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/%{pkgname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
# Dependency
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

%description
Class::Data::Inheritable is for creating accessor/mutators to class data.
That is, if you want to store something about your class as a whole (instead
of about a single object). This data is then inherited by your subclasses
and can be overriden.

#%%description -l ja
#ここに日本語で詳細を記述してください。

%prep
%setup -q -n Class-Data-Inheritable-0.08

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=%{buildroot}

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} $RPM_BUILD_ROOT

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Thu Nov 20 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.08-2
- rebuilt with perl 5.16.3
- installed module to vendor_perl
- added URL tag

* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.08-1
- initial build for Vine Linux
