Summary: Virtual package for TeX Live
Summary(ja): TeX Live のための仮想パッケージ
Name: task-texlive
Version: 2016
Release: 1%{?_dist_release}
License: public domain
Group: Applications/Publishing
BuildArch: noarch

Requires: texlive-common = %{version}
Requires: texlive-collection-context = %{version}
Requires: texlive-collection-fontsrecommended = %{version}
Requires: texlive-collection-fontutils = %{version}
Requires: texlive-collection-genericrecommended = %{version}
Requires: texlive-collection-luatex = %{version}
Requires: texlive-collection-latexrecommended = %{version}
Requires: texlive-collection-pictures = %{version}
Requires: texlive-macros = %{version}
Requires: texmacro-otf >= 1.7

Obsoletes: task-tetex task-platex pk300

BuildRoot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: munepi

%description
This is a virtual package to install TeX Live related packages. 
If you use apt-get for RPM, This package will install many packages 
related to TeX Live automatically.

%description -l ja
TeX Live 関係のパッケージを
簡単にインストールするための仮想パッケージです。
apt-getを使ってこのパッケージをインストールすることで、
多くの TeX Live 関係のパッケージをインストールすることができます。

%package doc
Summary: Virtual package for documentation packages of %{name}
Summary(ja): %{name} のドキュメントパッケージのための仮想パッケージ
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}
Requires: texlive-doc = %{version}
Requires: texlive-collection-basic-doc = %{version}
Requires: texlive-collection-latex-doc = %{version}
Requires: texlive-collection-langgerman-doc = %{version}
Requires: texlive-collection-langcyrillic-doc = %{version}
Requires: texlive-collection-langgreek-doc = %{version}
Requires: texlive-collection-xetex-doc = %{version}
Requires: texlive-collection-langcjk-doc = %{version}
Requires: texlive-collection-langjapanese-doc = %{version}
Requires: texlive-collection-context-doc = %{version}
Requires: texlive-collection-fontsrecommended-doc = %{version}
Requires: texlive-collection-fontutils-doc = %{version}
Requires: texlive-collection-genericrecommended-doc = %{version}
Requires: texlive-collection-luatex-doc = %{version}
Requires: texlive-collection-latexrecommended-doc = %{version}
Requires: texlive-collection-pictures-doc = %{version}

%description doc
This package is a virtual package to install documentation packages of %{name}. 

%description doc -l ja
%{name} のドキュメントパッケージのための仮想パッケージです。

%package full
Summary: Virtual package installing all components of TeX Live
Summary(ja): すべての TeX Live 構成パッケージをインストールするための仮想パッケージ
Group: Applications/Publishing
Requires: task-texlive = %{version}
## The following list is obtained by running: 
## $ tlpdb2rpmspec --full-collections
## $ ls -1 texlive-collection-* | grep -v -e "-doc-" -e "-documentation-" | sed -e "s,^,Requires: ,g" -e "s,-2015.*, = %{version},g"
## on ${HOME}/rpm/RPMS/noarch
Requires: texlive-collection-basic = %{version}
Requires: texlive-collection-bibtexextra = %{version}
Requires: texlive-collection-binextra = %{version}
Requires: texlive-collection-context = %{version}
Requires: texlive-collection-fontsextra = %{version}
Requires: texlive-collection-fontsrecommended = %{version}
Requires: texlive-collection-fontutils = %{version}
Requires: texlive-collection-formatsextra = %{version}
Requires: texlive-collection-games = %{version}
Requires: texlive-collection-genericextra = %{version}
Requires: texlive-collection-genericrecommended = %{version}
Requires: texlive-collection-htmlxml = %{version}
Requires: texlive-collection-humanities = %{version}
Requires: texlive-collection-langafrican = %{version}
Requires: texlive-collection-langarabic = %{version}
Requires: texlive-collection-langchinese = %{version}
Requires: texlive-collection-langcjk = %{version}
Requires: texlive-collection-langcyrillic = %{version}
Requires: texlive-collection-langczechslovak = %{version}
Requires: texlive-collection-langenglish = %{version}
Requires: texlive-collection-langeuropean = %{version}
Requires: texlive-collection-langfrench = %{version}
Requires: texlive-collection-langgerman = %{version}
Requires: texlive-collection-langgreek = %{version}
Requires: texlive-collection-langindic = %{version}
Requires: texlive-collection-langitalian = %{version}
Requires: texlive-collection-langjapanese = %{version}
Requires: texlive-collection-langkorean = %{version}
Requires: texlive-collection-langother = %{version}
Requires: texlive-collection-langpolish = %{version}
Requires: texlive-collection-langportuguese = %{version}
Requires: texlive-collection-langspanish = %{version}
Requires: texlive-collection-latex = %{version}
Requires: texlive-collection-latexextra = %{version}
Requires: texlive-collection-latexrecommended = %{version}
Requires: texlive-collection-luatex = %{version}
Requires: texlive-collection-mathextra = %{version}
Requires: texlive-collection-metapost = %{version}
Requires: texlive-collection-music = %{version}
Requires: texlive-collection-omega = %{version}
Requires: texlive-collection-pictures = %{version}
Requires: texlive-collection-plainextra = %{version}
Requires: texlive-collection-pstricks = %{version}
Requires: texlive-collection-publishers = %{version}
Requires: texlive-collection-science = %{version}
Requires: texlive-collection-xetex = %{version}

%description full
This package is a virtual package installing all components of TeX Live. 

%description full -l ja
すべての TeX Live 構成パッケージをインストールするための仮想パッケージです。

%package full-doc
Summary: Virtual package for documentation packages of %{name}-full
Summary(ja): %{name}-full のドキュメントパッケージのための仮想パッケージ
Group: Applications/Publishing
Requires: %{name}-full = %{version}-%{release}
Requires: %{name}-doc = %{version}-%{release}
## The following list is obtained by running: 
## $ tlpdb2rpmspec --full-collections
## $ ls -1 texlive-collection-* | grep -e "-doc-" -e "-documentation-" | sed -e "s,^,Requires: ,g" -e "s,-2015.*, = %{version},g"
## on ${HOME}/rpm/RPMS/noarch
Requires: texlive-collection-basic-doc = %{version}
Requires: texlive-collection-bibtexextra-doc = %{version}
Requires: texlive-collection-binextra-doc = %{version}
Requires: texlive-collection-context-doc = %{version}
Requires: texlive-collection-fontsextra-doc = %{version}
Requires: texlive-collection-fontsrecommended-doc = %{version}
Requires: texlive-collection-fontutils-doc = %{version}
Requires: texlive-collection-formatsextra-doc = %{version}
Requires: texlive-collection-games-doc = %{version}
Requires: texlive-collection-genericextra-doc = %{version}
Requires: texlive-collection-genericrecommended-doc = %{version}
Requires: texlive-collection-htmlxml-doc = %{version}
Requires: texlive-collection-humanities-doc = %{version}
Requires: texlive-collection-langafrican-doc = %{version}
Requires: texlive-collection-langarabic-doc = %{version}
Requires: texlive-collection-langchinese-doc = %{version}
Requires: texlive-collection-langcjk-doc = %{version}
Requires: texlive-collection-langcyrillic-doc = %{version}
Requires: texlive-collection-langczechslovak-doc = %{version}
Requires: texlive-collection-langenglish-doc = %{version}
Requires: texlive-collection-langeuropean-doc = %{version}
Requires: texlive-collection-langfrench-doc = %{version}
Requires: texlive-collection-langgerman-doc = %{version}
Requires: texlive-collection-langgreek-doc = %{version}
Requires: texlive-collection-langindic-doc = %{version}
Requires: texlive-collection-langitalian-doc = %{version}
Requires: texlive-collection-langjapanese-doc = %{version}
Requires: texlive-collection-langkorean-doc = %{version}
Requires: texlive-collection-langother-doc = %{version}
Requires: texlive-collection-langpolish-doc = %{version}
Requires: texlive-collection-langportuguese-doc = %{version}
Requires: texlive-collection-langspanish-doc = %{version}
Requires: texlive-collection-latex-doc = %{version}
Requires: texlive-collection-latexextra-doc = %{version}
Requires: texlive-collection-latexrecommended-doc = %{version}
Requires: texlive-collection-luatex-doc = %{version}
Requires: texlive-collection-mathextra-doc = %{version}
Requires: texlive-collection-metapost-doc = %{version}
Requires: texlive-collection-music-doc = %{version}
Requires: texlive-collection-omega-doc = %{version}
Requires: texlive-collection-pictures-doc = %{version}
Requires: texlive-collection-plainextra-doc = %{version}
Requires: texlive-collection-pstricks-doc = %{version}
Requires: texlive-collection-publishers-doc = %{version}
Requires: texlive-collection-science-doc = %{version}
Requires: texlive-collection-xetex-doc = %{version}

%description full-doc
This package is a virtual package to install documentation packages of 
%{name}-full. 

%description full-doc -l ja
%{name}-full のドキュメントパッケージのための仮想パッケージです。

%files

%files doc

%files full

%files full-doc

%changelog
* Thu Apr 28 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2016-1
- TeX Live 2016

* Tue Apr 28 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2015-1
- TeX Live 2015

* Sun May 25 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2014-1
- TeX Live 2014

* Mon Jan 13 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2013-2
- rebuilt

* Sat Aug 24 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-1
- TeX Live 2013

* Sat Nov 24 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2012-2
- fixed texlive-macros and texmacro-otf

* Fri Nov 23 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2012-1
- TeX Live 2012

* Tue Jul 31 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2011-2
- moved Requires: texlive-collection-fontutils{,-doc} 
  to task-texlive{,-doc}, respectively

* Sun Nov 27 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-1
- TeX Live 2011

* Sun Mar 27 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-4
- added Requires: texlive-macros

* Fri Dec 31 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-3
- for vl5, added Conflicts: task-tetex
- for vl5, Requires: texlive-texmacro-otf >= 1.5.6.1

* Wed Dec 29 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- merged task-texlive-full-vl.spec
  - added full, full-doc subpackages

* Sat Jul 31 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- initial release
